{% extends "plantilla.html"%}


{% block contenido%}
{% load static %}

<div class="main-container">
  <div class="pd-ltr-20">
    <div class="card-box pd-20 height-100-p mb-30">
      <div class="row align-items-center">
        <div class="col-md-4">
          <h4 class="font-20 weight-500 mb-10 text-capitalize">
            LISTADO MARCAS <div class="weight-600 font-30 text-blue">
              <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                NUEVA MARCA
              </button></div>
          </h4>
        </div>
        <div class="col-md-8">

        </div>
      </div>
    </div>
    <table class="table" cellspacing="0" width="100%" id="mitab">
    <thead>
        <tr>
            <td>ID</td>
            <td>NOMBRE DE LA MARCA</td>
            <td>LOGO DE LA MARCA</td>
            <td>ACCIONES</td>
        </tr>
    </thead>
    <tbody>
        {% for marca in marcas %}
        <tr>
            <td>{{marca.id}}</td>
            <td>{{marca.nombre_marca}}</td>
            <td>
                {% if marca.logo %}
                    <a href="{{ marca.logo.url }}" target="_blank">
                        <img src="{{ marca.logo.url }}" style="max-width: 100px; max-height: 100px;">
                    </a>
                {% else %}
                    <b>N/A</b>
                {% endif %}
            </td>

            <td>
                <a href="/editarMarca/{{marca.id}}" class="btn btn-warning">EDITAR</a>
                <a href="javascript:void(0)"
                    onclick="eliminar('/eliminarMarca/{{marca.id}}');"
                    class="btn btn-danger">
                    Eliminar
                </a>
            </td>
        </tr>
        {% endfor%}
    </tbody>
</table>

<script type="text/javascript" src="https://cdn.datatables.net/plug-ins/1.11.5/i18n/Spanish.json"></script>
<script type="text/javascript">
    $(document).ready(function() {
        $('#mitab').DataTable({
            dom: 'Bfrtip',
            buttons: [
                {
                    extend: 'pdfHtml5',
                    messageTop: 'PDF created by PDFMake with Buttons for DataTables.'
                },
                'print',
                'csv'
            ],
            "language": {
                "url": "https://cdn.datatables.net/plug-ins/1.11.5/i18n/Spanish.json"
            }
            // Puedes agregar más opciones según tus requisitos
        });
    });
</script>

    </div>
  </div>



  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form class="" action="/guardarMarca/" method="post" enctype="multipart/form-data" id="frm_marca">
            {% csrf_token %}

            <div class="row">
              <div class="col-md-6">
                <label for="nombre_marca" class="form-label">Nombre de la Marca</label>
                <input type="text" class="form-control" name="nombre_marca" id="nombre_marca" placeholder="Nombre de la Marca" required>
              </div>
              <div class="col-md-6">
                <label for="logo" class="form-label">Logo</label>
                <input type="file" name="logo" id="logo" class="form-control" accept="image/*" required>
              </div>
            </div>

            <div class="col-md-12 mt-3">
              <center>
                <button type="submit" class="btn btn-primary"><i class="bi bi-floppy"></i>&nbsp; Guardar Marca</button>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
              </center>
            </div>
          </form>
          <script type="text/javascript">
            $("#frm_marca").validate({
             rules: {
               'nombre_marca': {
                 required: true,
                 lettersonly: true
               },
               'logo': {
                 required: true,
                 extension: "png|jpg|jpeg|gif"
               }
             },
             messages: {
               'nombre_marca': {
                 required: "Por favor, ingresa el nombre de la marca",
                 lettersonly: "Solo se permiten letras"
               },
               'logo': {
                 required: "Por favor, ingresa el logo de la marca",
                 extension: "Por favor, selecciona un archivo de imagen con una extensión válida (png, jpg, jpeg, gif)"
               }
             },
             submitHandler: function(form) {
               form.submit();
             },
             highlight: function (element, errorClass, validClass) {
               // Añade clases de Bootstrap para resaltar errores
               $(element).addClass("is-invalid").removeClass("is-valid");
             },
             unhighlight: function (element, errorClass, validClass) {
               // Añade clases de Bootstrap cuando no hay errores
               $(element).removeClass("is-invalid").addClass("is-valid");
             },
           });

           // Agrega un método personalizado para validar solo letras
           $.validator.addMethod("lettersonly", function(value, element) {
             return /^[a-zA-Z\s]+$/.test(value);
           }, "Solo se permiten letras");

          </script>

        </div>
        <div class="modal-footer">

        </div>
      </div>
    </div>
  </div>



{% endblock %}
